The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> sigpending - examine pending signals

#### SYNOPSIS

> ``[CX] #include <signal.h>
> int sigpending(sigset_t *`set`);``
> `
> `

#### DESCRIPTION

> The sigpending() function shall store, in the location referenced by the set argument, the set of signals that are blocked from delivery to the calling thread and that are pending on the process or the calling thread.

#### RETURN VALUE

> Upon successful completion, sigpending() shall return 0; otherwise, -1 shall be returned and errno set to indicate the error.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> exec, pthread_sigmask, sigaddset, sigdelset, sigemptyset, sigfillset, sigismember

> XBD <signal.h>

#### CHANGE HISTORY

> First released in Issue 3.

#### Issue 5

> The DESCRIPTION is updated for alignment with the POSIX Threads Extension.

#### Issue 6

> The SYNOPSIS is marked CX since the presence of this function in the <signal.h> header is an extension over the ISO C standard.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]